title: tealdbg
---
## tealdbg



Algorand TEAL Debugger



### Synopsis



Debug a local or remote TEAL code in controlled environment

with Web or Chrome DevTools frontends



```

tealdbg [flags]

```



### Options



```

  -f, --frontend string             Frontend to use: cdt, web (default "cdt")

  -h, --help                        help for tealdbg

      --listen string               Network interface to listen on (default "127.0.0.1")

      --no-source-map               Do not generate source maps

      --remote-debugging-port int   Port to listen on (default 9392)

  -v, --verbose                     Verbose output

```



### SEE ALSO



* [tealdbg debug](../debug/) off-chain
* [tealdbg remote](../remote/)	 - Debug TEAL program on-chain



